Bug 1012262 - [ssh-copy-id] add "The agent has no identities." in remote ~/.ssh/authorized_keys
[ssh-copy-id] add "The agent has no identities." in remote ~/.ssh/authorized_...
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: openssh (Show other bugs)
5.10
Unspecified Linux
unspecified Severity unspecified
: rc
: ---
Assigned To: Petr Lautrbach
BaseOS QE Security Team
:
Depends On:
Blocks: 1353410
  Show dependency treegraph
 
Reported: 2013-09-26 02:31 EDT by Yin.JianHong
Modified: 2016-07-06 22:49 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1353410 (view as bug list)
Environment:
Last Closed: 2014-01-17 08:25:31 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yin.JianHong 2013-09-26 02:31:49 EDT
Description of problem:
In my RHEL5.10, virtual host; after ssh-copy-id, can not login without passwd;
and find that it just add "The agent has no identities." in remote authorized_keys

Version-Release number of selected component (if applicable):
authorized_keys

How reproducible:
In my virtual host always; ( 10.66.13.194 root:redhat )
But In a beaker machine not reproduce.

Steps to Reproduce:
1. ssh-copy-id  $host
2. ssh $host
3.

Actual results:
can not login without passwd

Expected results:
login without passwd

Additional info:
  if add -i option, it works fine;
Comment 1 Petr Lautrbach 2014-01-17 08:25:31 EST
This Bugzilla has been reviewed by Red Hat and is not planned on being
addressed in Red Hat Enterprise Linux 5, and therefore will be closed.
If this bug is critical to production systems, please contact your Red
Hat support representative and provide sufficient business
justification.
Comment 2 BugMasta 2016-07-06 22:23:47 EDT
Yeah thanks a lot.
More great work.

This bug is still present in RHEL6.8, July 2016.

All you had to do was give an error message when the user runs ssh-copy-id, instead of misleading the user by apparently completing successfully.

But you couldn't do that could you. You just ignored the issue.

PATHETIC.

IT IS THIS SORT OF LAZINESS WHICH MAKES USING RHEL AN UTTER NIGHTMARE.

EVERY DAY I ENCOUNTER BUG AFTER BUG AFTER BUG, AND 9/10 OF THEM HAVE BEEN FOUND YEARS AGO, BUT STUPIDITY AND LAZINESS HAS PREVENTED A FIX.
Comment 3 Yin.JianHong 2016-07-06 22:49:51 EDT
(In reply to BugMasta from comment #2)
> Yeah thanks a lot.
> More great work.
> 
> This bug is still present in RHEL6.8, July 2016.
> 
> All you had to do was give an error message when the user runs ssh-copy-id,
> instead of misleading the user by apparently completing successfully.
> 
> But you couldn't do that could you. You just ignored the issue.
> 
> PATHETIC.
> 
> IT IS THIS SORT OF LAZINESS WHICH MAKES USING RHEL AN UTTER NIGHTMARE.
> 
> EVERY DAY I ENCOUNTER BUG AFTER BUG AFTER BUG, AND 9/10 OF THEM HAVE BEEN
> FOUND YEARS AGO, BUT STUPIDITY AND LAZINESS HAS PREVENTED A FIX.

Thank you for your report, and *urge on*

Note You need to log in before you can comment on or make changes to this bug.